//Variables globales

var MODULO = "Cuestionarios";

var KEY_BORRAR="KEY_BORRAR";

var KEY_CANCELAR="KEY_CANCELAR";

var KEY_VOLVER_FILTRO="KEY_VOLVER_FILTRO";

var KEY_VOLVER_LISTADO="KEY_VOLVER_LISTADO";



function onLoadPage(){

	//Para el alta, en vez de coger el dato del niGrupo del contexto, se lo metemos en el hashmap, que se va a mapear al contexto, que es lo que le va a llegar a 

	//la funci?n de alta.En la modificaci?n, ya lo ha obtenido de la base de datos, as? que no necesitamos esto, por lo que no hemos pintado el hidden niGrupoCuesVTMAnu,

	//para que no se ejecuten

	//limpiarDatos();

	if (document.forms["formOficinasMunicipales"].elements["idioma"].value == "es")

	{

		document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(descripcion)"].focus();

	}

	else

	{

		document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(descripcionEus)"].focus();

	}

	

	if (document.forms["formOficinasMunicipales"].elements["accion"].value = "KEY_GUARDAR"){

			

			cargarMunMuniLauncher();

			seleccionarComboDesdeCampo("oficinaMunicipal(idMunicipio)","idMunicipio");

			

			cargarNombreViaLauncher();

			seleccionarComboDesdeCampo("oficinaMunicipal(calle)","calle");	

				

		if (document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].value != ""){

			cargarBloqueLauncher();

			seleccionarComboDesdeCampo("oficinaMunicipal(bloque)","bloque");

			cargarNumePortalLauncher();

			seleccionarComboDesdeCampo("oficinaMunicipal(numero)","numero");

			//cargarComplemDirLauncher();

			//seleccionarComboDesdeCampo("cuestionarioVTMAnu(cdir)","cdir");

		}

		if (document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].value != "" &&

				document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"].value != ""){

			cargarBisPortalLauncher();

			seleccionarComboDesdeCampo("oficinaMunicipal(bis)","bis");

		}

	}



	

}



function ponAccion(key)

{	

	if (key==KEY_BORRAR){

		if(confirm(msgBorrar)){

			document.forms["formOficinasMunicipales"].accion.value=key;

			submmitFormulario(key);

		}else{

			return;

		}

	}

	else if (key==KEY_CANCELAR)

	{

		if (document.forms["formOficinasMunicipales"].inicio.value=="FILTRO")

		{

			key=KEY_VOLVER_FILTRO;

		}

		else

		{

			key=KEY_VOLVER_LISTADO;

		}

		document.forms["formOficinasMunicipales"].accion.value=key;

		document.forms["formOficinasMunicipales"].submit();

	}

	else {	

		document.forms["formOficinasMunicipales"].accion.value=key;

		document.forms["formOficinasMunicipales"].submit();

	}

}



function submmitFormulario(key){

	document.forms["formOficinasMunicipales"].submit();

}



//Se llama cada vez que se selecciona una provincia en el combo

function provinciaClick(){



	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(idMunicipio)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(idMunicipio)"],"",0);	

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(tipoVia)"].options.length=0;	

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(tipoVia)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"],"",0);

	//document.forms["formCuestionariosVTMAnu"].elements["cuestionarioVTMAnu(cdirPro)"].options.length=0;

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(complementoDireccion)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(escalera)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(piso)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(mano)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(puerta)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(codigoPostal)"].value="";

	

	//Se cargan los nombres de municipio

	cargarMunMuniLauncher();

	cargarTipoViaLauncher();

	

}





//Se carga el combo de municipios a trav?s del Launcher

function cargarMunMuniLauncher(){



	var where = "provincia_id = "+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(idProvincia)"].value;	

	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "oficinaMunicipal(idMunicipio)", where, "false", true, "ds_o", "ASC");

	

}



//Se llama cada vez que se selecciona un municipio en el combo

function municipioClick(){



	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(tipoVia)"].options.length=0;	

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(tipoVia)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"],"",0);	

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(complementoDireccion)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(escalera)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(piso)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(mano)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(puerta)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(codigoPostal)"].value="";

		

	cargarTipoViaLauncher();

	

}



//Se llama cada vez que se selecciona un tipo de v?a en el combo

function tipoViaClick(){



	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(complementoDireccion)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(escalera)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(piso)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(mano)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(puerta)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(codigoPostal)"].value="";

	

	//Se cargan los nombres de v?a del tipo de v?a

	cargarNombreViaLauncher();

	

	//Se eliminan todos los combos desde nombreVia

	//clearCombosDesdeNombreVia();

}



//Se carga el combo de nombres de v?a a trav?s del Launcher

function cargarNombreViaLauncher(){



	if (document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(tipoVia)"].value != "")

	{

		var where = "tipo_via_id = '"+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(tipoVia)"].value+"' and provincia_id='" +document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(idProvincia)"].value + "' and municipio_id='" + document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(idMunicipio)"].value + "'";	

	}

	else

	{

		where = "provincia_id='" +document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(idProvincia)"].value + "' and municipio_id='" + document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(idMunicipio)"].value + "'";	

	}

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_CALLE","id","ds_o", "oficinaMunicipal(calle)", where, "false", true, "ds_o", "ASC");

	

}



//Se llama cada vez que se selecciona un nombre de v?a en el combo

function nombreViaClick(){

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(complementoDireccion)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(escalera)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(piso)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(mano)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(puerta)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(codigoPostal)"].value="";

	

	//Se cargan los bloques y numeros de portal a partir de la calle

	cargarBloqueLauncher();

	cargarNumePortalLauncher();

	//cargarComplemDirLauncher();	

		

}



//Se carga el combo de bloques a trav?s del Launcher

function cargarBloqueLauncher(){

	var where = "calle_id = "+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].value + " AND bloque IS NOT NULL";	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PORTAL","bloque","bloque", "oficinaMunicipal(bloque)", where, "false", true, "bloque", "ASC");

}



//Se carga el combo de n?s a trav?s del Launcher

function cargarNumePortalLauncher(){

	var where = "calle_id = "+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].value;

	if (document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"].value != ""){

		where = "calle_id = "+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].value + " AND bloque = '"+ document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"].value + "'";

	}	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PORTAL","numero","numero", "oficinaMunicipal(numero)", where, "true", true, "numero", "ASC");

	

}



//Se llama cada vez que se selecciona un bloque en el combo

function bloqueClick(){

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(complementoDireccion)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(escalera)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(piso)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(mano)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(puerta)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(codigoPostal)"].value="";

	cargarNumePortalLauncher();

	//cargarComplemDirLauncher();	

}



//Se llama cada vez que se selecciona un n?mero en el combo

function numClick(){

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"].options.length=0;

	addOption(document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bis)"],"",0);

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(complementoDireccion)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(escalera)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(piso)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(mano)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(puerta)"].value="";

	document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(codigoPostal)"].value="";

	cargarBisPortalLauncher();

	//cargarComplemDirLauncher();	

}



//Se carga el combo de bis a trav?s del Launcher

function cargarBisPortalLauncher(){

	var where = "numero = "+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"].value + " AND calle_id= "+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].value +" AND bis IS NOT NULL";

	if (document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"].value != ""){

		where = "numero = "+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(numero)"].value + " AND calle_id= "+document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(calle)"].value +" AND bloque = '"+ document.forms["formOficinasMunicipales"].elements["oficinaMunicipal(bloque)"].value + "' AND bis IS NOT NULL";

	}	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PORTAL","bis","bis", "oficinaMunicipal(bis)", where, "false", true, "bis", "ASC");

	

}



//Se carga el combo de tipos de via a traves del Launcher

function cargarTipoViaLauncher(){



	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_TIPO_VIA","id","ds_c", "oficinaMunicipal(tipoVia)", "", "false", true, "ds_c", "ASC");

	

}

